twitter4j

## Interface TwitterAPIConfiguration

All Superinterfaces:
  Serializable, TwitterResponse

    public interface TwitterAPIConfiguration
    extends TwitterResponse, Serializable

Since:
  Twitter4J 2.2.3
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getCharactersReservedPerMedia()`
`int` `getDmTextCharacterLimit()`
`int` `getMaxMediaPerUpload()`
`String[]` `getNonUsernamePaths()`
`int` `getPhotoSizeLimit()`
`Map<Integer,MediaEntity.Size>` `getPhotoSizes()`
`int` `getShortURLLength()`
`int` `getShortURLLengthHttps()`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Method Detail

#### getPhotoSizeLimit

    int getPhotoSizeLimit()

#### getShortURLLength

    int getShortURLLength()

#### getShortURLLengthHttps

    int getShortURLLengthHttps()

#### getCharactersReservedPerMedia

    int getCharactersReservedPerMedia()

#### getDmTextCharacterLimit

    int getDmTextCharacterLimit()

#### getPhotoSizes

    Map<Integer,MediaEntity.Size> getPhotoSizes()

#### getNonUsernamePaths

    String[] getNonUsernamePaths()

#### getMaxMediaPerUpload

    int getMaxMediaPerUpload()